/**************************************
* recherche du nombre x dans le tableau entre les bornes a et 
* le tableau est ordonné de manière décroissante
*
* entrée :
*   - x   : nombre à rechercher
*   - tab : tableau de recherche
*   - a, b :borne de la recherche
*
* sortie :
*   - vrai ssi le nombre est dans le tableau
***************************************/
boolean recherche(int x, int [] t, int a, int b) {
  if (a > b)
    return false;
  else {
    int c = (a + b) / 2;
    if (t[c] == x)
      return true;
    else
      if (t[c] > x)
        return recherche(x, t, c + 1, b);
      else
        return recherche(x, t, a, c - 1); 
  }
}


void setup() {
  int [] tab = { 15, 11, 8, 6, 5, 2 };
  println("6 est dans tab ? " + recherche(6, tab, 0, 6));
  println("13 est dans tab ? " + recherche(13, tab, 0, 6));
}
